This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 448060 - host of SELinux AVC denials on starting kvm virtual machine
host of SELinux AVC denials on starting kvm virtual machine
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 04:58 EDT by Matěj Cepl
Modified: 2009-06-10 06:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 06:35:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of /sbin/ausearch -ts 10:00 -m AVC (12.16 KB, text/plain)
2008-05-23 04:58 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2008-05-23 04:58:00 EDT
Description of problem:
Tried running virsh create as normal user and got a host of AVC denials (see
attached). The only difference from the plain system is that (in order to get to
the /etc/libvirtd) I have run

chgrp -R virt /etc/libvirt
chmod g+rX /etc/libvirt

Version-Release number of selected component (if applicable):

[matej@viklef ~]$ rpm -q libvirt PolicyKit selinux-policy-targeted kvm kernel
libvirt-0.4.2-3.fc9.i386
PolicyKit-0.8-2.fc9.i386
selinux-policy-targeted-3.3.1-55.fc9.noarch
kvm-65-4.fc9.i386
kernel-2.6.25-8.fc9.i686
kernel-2.6.25-14.fc9.i686
kernel-2.6.25.3-18.fc9.i686
kernel-2.6.25.4-26.fc9.i686
[matej@viklef ~]$ uname -a
Linux viklef 2.6.25.4-26.fc9.i686 #1 SMP Mon May 19 19:49:30 EDT 2008 i686 i686
i386 GNU/Linux
[matej@viklef ~]$ 
How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2008-05-23 04:58:00 EDT
Created attachment 306462 [details]
output of /sbin/ausearch -ts 10:00 -m AVC
Comment 2 Daniel Veillard 2008-05-30 08:39:07 EDT
I don't think this can be fixed in libvirt. It looks more like some rules
are needed in SE-Linux policies to allow access from libvirtd to the networking
commands. So reassigning,

Daniel
Comment 3 Daniel Walsh 2008-05-30 09:20:34 EDT
Daniel, 

This shows virtsh running lockit?  Which I guess could allow a user to influence
the SELinux settings as well as the fire wall settings?  Why is libvirt doing this?

Most of the rest of these are fixed in 
Fixed in selinux-policy-3.3.1-60.fc9
Comment 4 Daniel Walsh 2008-07-02 15:22:25 EDT
Fixed in selinux-policy-3.3.1-74.fc9.noarch

Decided to make libvirtd an unconfined domain, since it can now load kernel
modules and set iptables rules.
Comment 5 Matěj Cepl 2008-07-02 16:13:24 EDT
Oh well, probably the best what we can expect. Thanks a lot for fixing this.
Comment 6 Bug Zapper 2009-06-09 21:06:37 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.